unit R53app1;

interface

{.$DEFINE Port}
{.$DEFINE Eng}

uses WinTypes, WinProcs, SysUtils, Classes, Graphics, Forms, Controls, Menus,
  StdCtrls, Dialogs, Buttons, Messages, ExtCtrls, DB, DBTables;

type
  TMainForm = class(TForm)
    MainMenu1: TMainMenu;
    Panel1: TPanel;
    StatusLine: TPanel;
    File1: TMenuItem;
    FileNewItem: TMenuItem;
    FileOpenItem: TMenuItem;
    Panel2: TPanel;
    FileCloseItem: TMenuItem;
    Window1: TMenuItem;
    Help1: TMenuItem;
    N1: TMenuItem;
    FileExitItem: TMenuItem;
    WindowCascadeItem: TMenuItem;
    WindowTileItem: TMenuItem;
    WindowArrangeItem: TMenuItem;
    HelpAboutItem: TMenuItem;
    OpenDialog1: TOpenDialog;
    FileSaveItem: TMenuItem;
    FileSaveAsItem: TMenuItem;
    Edit1: TMenuItem;
    CutItem: TMenuItem;
    CopyItem: TMenuItem;
    PasteItem: TMenuItem;
    WindowMinimizeItem: TMenuItem;
    SpeedPanel: TPanel;
    cmdOrders: TBitBtn;
    cmdTasks: TBitBtn;
    cmdProjects: TBitBtn;
    cmdSecurity: TBitBtn;
    cmdCharts: TBitBtn;
    cmdReports: TBitBtn;
    panLogo: TPanel;
    labName2: TLabel;
    labDirections: TLabel;
    labName1: TLabel;
    labTM: TLabel;
    labCopyright: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Table1: TTable;
    Table2: TTable;
    procedure FormCreate(Sender: TObject);
    procedure FileOpenItemClick(Sender: TObject);
    procedure FileExitItemClick(Sender: TObject);
    procedure cmdReportsClick(Sender: TObject);
  private
    procedure Traduce;
  public

  end;

var
  MainForm: TMainForm;

implementation
uses aEtiBan1,aView1;
{$R *.DFM}

procedure TMainForm.FormCreate(Sender: TObject);
begin
{As example, Table1, Table2 are added for producing data of
accumulated Sales Quantity and accunulated Sales Value in "sold.db"}

{clean fields}
Table1.open;table2.open;
while not table2.eof do
begin
    Table2.Edit;
    Table2.FieldByName('QtySold').AsFloat:=0;
    Table2.FieldByName('ValueSold').AsFloat:=0;
    Table2.Post;
    Table2.next;
end;
messagebeep(0);
{fil in accumulated sales}
while not table1.eof do
  if table2.findKey([table1.FieldByName('PartNo').AsString]) then
  begin
    Table2.Edit;
    Table2.FieldByName('QtySold').AsFloat:=Table2.FieldByName('QtySold').AsFloat+
      Table1.FieldByName('Qty').AsFloat;
    Table2.FieldByName('ValueSold').AsFloat:=Table2.FieldByName('QtySold').AsFloat*
      Table2.FieldByName('ListPrice').AsFloat;
    Table2.Post;
    Table1.next;
  end;
Table1.close;table2.close;

messagebeep(0);

  Traduce;
end;

procedure TMainForm.cmdReportsClick(Sender: TObject);
begin
  {Activates "Exec" mode of Report53}
  ExecRep53;
end;
procedure TMainForm.FileOpenItemClick(Sender: TObject);
begin
{Activate "Show" mode of Report53}
if OpenDialog1.execute then
  ShowRep53(OpenDialog1.FileName);
end;

procedure TMainForm.FileExitItemClick(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.Traduce;
begin
{$IFDEF Port}
Caption:='Report53 - Programa Exemplo';
cmdProjects.caption:='Projeto';
cmdTasks.caption:='Tarefas';
cmdOrders.caption:='Pedidos';
cmdCharts.caption:='Grficos';
cmdReports.caption:='Relatrios';
cmdSecurity.caption:='Segurana';

labName1.Caption:='Acionador do Report53';
labName2.Caption:='Acionador do Report53';
labcopyRight.caption:='Copyright (c) 1998 Micomet Sistemas Ltda. Todos os Direitos reservados.';
labDirections.caption:=
'O Programa Exemplo do Report53 demonstra como ele pode ser integrado nos aplicativos do Delphi.';
label1.caption:=
'Presione o boto [Relatrios] para ver como o Report53 abre automaticamente e aciona um relatrio existente.';
label2.caption:=
'Selecione o menu [Arquivo, Abrir] para abrir outros relatrios.';

MainMenu1.Items[0].caption:='Arquivo';
TMenuItem(MainMenu1.Items[0][0]).caption:='Novo';
TMenuItem(MainMenu1.Items[0][1]).caption:='Abrir...';
TMenuItem(MainMenu1.Items[0][2]).caption:='Fechar...';
TMenuItem(MainMenu1.Items[0][3]).caption:='Salvar';
TMenuItem(MainMenu1.Items[0][4]).caption:='Salvar Como...';
TMenuItem(MainMenu1.Items[0][6]).caption:='Sair';

MainMenu1.Items[1].caption:='Editar';
TMenuItem(MainMenu1.Items[1][0]).caption:='Cortar';
TMenuItem(MainMenu1.Items[1][1]).caption:='Copiar';
TMenuItem(MainMenu1.Items[1][2]).caption:='Colar';

MainMenu1.Items[2].caption:='Janelas';
TMenuItem(MainMenu1.Items[2][0]).caption:='Cascata';
TMenuItem(MainMenu1.Items[2][1]).caption:='Lado a Lado';
TMenuItem(MainMenu1.Items[2][2]).caption:='Ordena cones';
TMenuItem(MainMenu1.Items[2][3]).caption:='Minimiza Todas';

MainMenu1.Items[3].caption:='Ajuda';
TMenuItem(MainMenu1.Items[3][0]).caption:='Acerca...';
{$ENDIF}
end;

end.
